cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 5, 3 & 1 MCU

AnJu_3725101
New Contributor

Hello All,

I'd like to use the PSOC5LP in a new apllication where I need to design a CAN bus interface and several touch sliders.


My question is about the differences of the Capsense modules of PSOC4 vs. PSOC5. PSOC4 has a module with Version 7.0. PSOC5 is only 3.5.

Are there any big differencies in behaviour and quality of the modules or is the PSOC5 not supported anymore?

Kind regards

Andreas

0 Likes
1 Solution
VenkataD_41
Moderator
Moderator

Hi Andreas,

We strongly recommend you to go with PSoC 4/PSoC 6 CapSense because PSoC 4/6 has the latest version of CapSense IP. The SNR provided by the latest IP is very high when compared to the CapSense IP in PSoC 5.

You can go with PSoC 4100S plus family devices which has both CAN and latest version of CapSense.

https://www.cypress.com/file/396611/download

Thanks

Ganesh

View solution in original post

0 Likes
1 Reply
VenkataD_41
Moderator
Moderator

Hi Andreas,

We strongly recommend you to go with PSoC 4/PSoC 6 CapSense because PSoC 4/6 has the latest version of CapSense IP. The SNR provided by the latest IP is very high when compared to the CapSense IP in PSoC 5.

You can go with PSoC 4100S plus family devices which has both CAN and latest version of CapSense.

https://www.cypress.com/file/396611/download

Thanks

Ganesh

View solution in original post

0 Likes